TopicSubscriberWrapper (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.resource.jms
Class TopicSubscriberWrapper

    java.lang.Object
      bitronix.tm.resource.jms.MessageConsumerWrapper
          bitronix.tm.resource.jms.TopicSubscriberWrapper

All Implemented Interfaces:
  javax.jms.MessageConsumer, javax.jms.TopicSubscriber

    public class TopicSubscriberWrapper

extends MessageConsumerWrapper
implements javax.jms.TopicSubscriber

`TopicSubscriber` wrapper that adds XA enlistment semantics.

Author:
  lorban

Field Summary

Fields inherited from class bitronix.tm.resource.jms.MessageConsumerWrapper
`session`

Constructor Summary
`TopicSubscriberWrapper(javax.jms.TopicSubscriber topicSubscriber, DualSessionWrapper session, PoolingConnectionFactory poolingConnectionFactory)`

Method Summary
`boolean` | `getNoLocal()`
`javax.jms.Topic` | `getTopic()`
`String` | `toString()`

Methods inherited from class bitronix.tm.resource.jms.MessageConsumerWrapper
`close, enlistResource, getMessageConsumer, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.MessageConsumer
`close, getMessageListener, getMessageSelector, receive, receive, receiveNoWait, setMessageListener`

Constructor Detail

### TopicSubscriberWrapper

    public TopicSubscriberWrapper(javax.jms.TopicSubscriber topicSubscriber,
                                  DualSessionWrapper session,
                                  PoolingConnectionFactory poolingConnectionFactory)

Method Detail

### getTopic

    public javax.jms.Topic getTopic()
                             throws javax.jms.JMSException

  Specified by:
    `getTopic` in interface `javax.jms.TopicSubscriber`
  Throws:
    `javax.jms.JMSException`

### getNoLocal

    public boolean getNoLocal()
                       throws javax.jms.JMSException

  Specified by:
    `getNoLocal` in interface `javax.jms.TopicSubscriber`
  Throws:
    `javax.jms.JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `MessageConsumerWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.